
<?php
/**
 * The Template for displaying all single posts
 *
 * @package NeoBlog
 */
?>


<?php  get_header(); ?>

<!-- BLOG AREA -->
<section>
		<hr class="no-margin" />


		<?php if (have_posts()) : while(have_posts()) : the_post(); ?>

		<div class="blog-container section-content">
			<div class="container">
				<div class="row">
			<div class="col-md-8">
				<div class="box-layer custom-padding">
					
					<section>
					<h1><a href="<?php the_permalink(); ?>" class="gray"><?php the_title(); ?></a></h1>
							  <p class="details">By <a href="<?php the_author_posts() ?>"><?php the_author(); ?> </a> / On <?php echo get_the_date('F j, Y'); ?> /  In <?php the_category(', '); ?> </p>
								 <?php if (has_post_thumbnail()) : ?>
         						 <figure> <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('', array('class' => 'opacity-hover box-layer img-responsive')); ?></a> </figure>
							 <p class="excerpt"> <?php the_content(); ?> </p>
							<?php endif; ?>
					</section>
					
					<?php endwhile; ?>
					<?php endif; ?>



					<section>
				
						<div class="comment-section">
							<?php
							// If comments are open or we have at least one comment, load up the comment template
								if ( comments_open() || '0' != get_comments_number() ) :
									comments_template();
								endif;
								?>
						</div>
					</section>
					
					
				</div>
				

<!-- RELATED ARTICLE AREA -->

					<section>
						<div class="box-layer related-articles custom-padding">
						<h2 class="align-center">Related Articles</h2>
					<?php 
					$current_categories = get_the_category();
					$first_category = $current_categories[0]->term_id;
					
					$args = array(
						'post_per_page' => 3,
						'category__in' => array($first_category),
						'post__not_in' => array($post->ID)
					);
					
					$related_articles = new WP_Query($args);
					if ($related_articles->have_posts()) : ?>

							<ul>
								<?php while ($related_articles->have_posts()) : $related_articles->the_post(); ?>
								<li class="col-md-4">
									
									<?php if (has_post_thumbnail()) : ?>
									<figure>	
									<figure> <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('', array('class' => 'opacity-hover box-layer img-responsive')); ?></a> </figure>
									</figure>
										<p class="related"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></p>
									<?php endif; ?>
								</li>
								<?php endwhile; ?>
								<div class="clear"></div>
							</ul>
					<?php endif; ?>
					
					<?php 
					// Restore original Post Data
					wp_reset_postdata();
					?>

					</div>
					</section>





				</div>




					<aside>
			<!-- SIDEBAR AREA -->
							<div class="col-md-3 col-md-offset-1 margin-sidebar">
							<?php get_sidebar(); ?>
							</div> 
					</aside>


</section>



<?php  get_footer(); ?>